@echo off
call "%CROSSWORLDS%"\bin\CWConnEnv
setlocal

REM ***************************************************************************************
REM Set the directory containing your MQSeries Java client libraries
REM ***************************************************************************************
set MQSERIES_JAVA_LIB="C:\Program Files\IBM\WebSphere MQ\java\lib"

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.WebSphereMQ.ConnectorAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

set DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar

if %CWVERSION%=="4.X" set XML_PARSER="%CROSSWORLDS%"\lib\xerces.jar
if %CWVERSION%=="3.X" set XML_PARSER="%CROSSWORLDS%"\DataHandlers\Dependencies\IBM\xml4j.jar

set AGENT=%CONNDIR%\CWWebSphereMQ.jar

set JMS=%MQSERIES_JAVA_LIB%\connector.jar;%MQSERIES_JAVA_LIB%\jms.jar;%MQSERIES_JAVA_LIB%\jndi.jar;%MQSERIES_JAVA_LIB%\com.ibm.mq.jar;%MQSERIES_JAVA_LIB%\com.ibm.mqjms.jar

set VBJTOOLS="%CROSSWORLDS%"\lib\vbjtools.jar

set JCLASSES=.;%JCLASSES%;%AGENT%;%JMS%;%VBJTOOLS%;%DATAHANDLER%;%XML_PARSER%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End
"%CROSSWORLDS%\bin\java" -version
"%CROSSWORLDS%\bin\java" -oss10m -mx128m -Djava.ext.dirs="%MQ_LIB%" -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%" -Dorg.omg.CORBA.ORBClass=%ORBCLASSPATH% -Dorg.omg.CORBA.ORBSingletonClass=%ORBCLASSPATH% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES% AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER% %3 %4

endlocal

pause
